var a;
(a = getApp()),
  Page({
    data: { toabc: "", classes: [], max_height: 667 },
    onLoad: function () {
      var t = wx.getSystemInfoSync(),
        e = this;
      a.util.request({
        url: "entry/wxapp/Api",
        data: {  r: "sale.index.carsbrand" },
        cachetime: "0",
        success: function (a) {
          console.log(a),
            e.setData({ classes: a.data.data, max_height: t.windowHeight });
        },
      });
    },
    retoabc: function (a) {
      this.setData({ toabc: a.currentTarget.dataset.abc });
    },
    backid: function (t) {
      a.util.navigateBack({
        data: {
          brandid: t.currentTarget.dataset.ids,
          brandname: t.currentTarget.dataset.name,
          brand_status: 1,
        },
      });
    },
  });
